/*CTRL + / -- comments in CSS*/
/*External CSS Styling*/

/*
	CSS Rules
	Syntax:
	selector {
		property: value;
	}

	h1 {
        color: yellow;
    }

    h1 {color: yellow;}


*/
/*
	CSS Specificity
	example: ID selectors have the highest priority for selectors
			the styling of h3 type selector will not work because it has a lesser priority

*/
/*Universal Selector*/
/*the * symbol is a universal selector and is used to target all elements*/
* {
	font-family: "Courier New", monospace;
	font-size: 20px;
}


/*Type Selector*/
/*is used to target elements with a specified type/tag name*/
/*tag-name*/

/*h1 {
	color:orange;
}*/

body {
    background-color: skyblue;
}

html {
    scroll-behavior: smooth;
}
/*changes the scrolling behravior when clicking on anchor tags */

/*navigation bar*/
nav {
    background-color: white;
}

/*selector:hover psuedo class*/
/*changes the style when hovered over*/
a:hover {
    background-color: #b4d6de;
}


div {
    display: inline-block;
    float: right;
}

h1 {
    color: yellow !important;
    text-align: center;
    font-size: 2rem;
}

/*landing section*/
section {
    height: 100vh;
    text-align: center;
}

h2 {
    font-size: 1.5rem;
}

h3 {
	letter-spacing: 25px;
}

/*Adjacent Sibling Selector*/
/*selector + selector*/

h3 + img {
	height: 300px;
	width: 300px;
	border-radius: 150px;
}

ol {
    list-style-type: none;
}

/*ID Selector*/
/*#id-name*/
#zuitt-motto {
	letter-spacing: 5px;
}
/*letter-spacing property changes the spaces between characters*/

/*Class Selector*/
/*.class-name*/
.offering-item {
	text-transform: uppercase;
}

/*Descendant Selector*/
/*selector selector*/

#bootcamp-learning-list li{
	color:#075966;
}

/*General Sibling Selector*/
/*selector ~ selector*/

h2 ~ a {
	text-decoration: none;
}

/*register section*/
form {
    text-align: center;
    background-color: white;
    border: 2px solid black;
    height: 250px;
    width: 25vw;
    position: relative;
    left: 37.25%;
}

/*Child Selector*/
/*selector > selector*/
body > section > form > label {
    display: block;
    margin-top: 10px;
    color: rgb(0,0,128);
}

/*Attribute Selector*/
/*tagname[attribute]*/

input[required]{
	border-width: 2px;
	border-style: solid;
	border-color:purple;
}
/*attribute selector only works based on the exact attribute syntax provied in the HTML tag*/

button {
    margin-top: 10px;
    background-color: #cf0053;
    color: white;
    border: 0;
    border-radius: 15px;
    padding: 10px 5px;
}